Subject: Re: Detecting router id change in p2p-over-lan connection

From: Nitin Kakkar <[email-masked]>
Date: Mon, 20 Feb 2006 11:02:58 +0530

Sunil,
  Why do you want to detect router-id change on P2P link ?
  I have seen some major implementations which can support multiple
simultaneous adjacencies on P2P link. So what is the meaning of
router-id change?
Nitin

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Sunil
Patro
Sent: Saturday, February 18, 2006 10:00 AM
To: [email-masked]
Subject: Re: Detecting router id change in p2p-over-lan connection

Mitchell,

I guess we can compare the IP src address of the neighbor to find out if

the new router-id is coming from the same neighbor or a different
neighbor.

Btw, I am unclear about your reference to L1 and L2 needing separate
hellos.

Quoting your last line - 
" Normally if one changes a router-id, then they don't expect that
  the former/old adjacency will be used with the new router-id."

I am guessing  you mean that anytime there is a router-id change in the
neighbor, the neighboring router should tear down the adjacency by
sending appropriate hello with the old router-id (by not including our
router id in the neighbor list) and then sending a new hello with a new
router-id.

In any case, can we say that section 4.5 is unclear about handling
router-id change? And it is left to the implementor to find the best way
to handle the router-id change?

Thanks,
Sunil

> -----Original Message-----
> From: Mailing List [mailto:[email-masked]] On Behalf Of
> Erblichs
> Sent: Friday, February 17, 2006 8:09 PM
> To: [email-masked]
> Subject: Re: Detecting router id change in p2p-over-lan connection
> 
> 	Not reading the draft. :^)
> 
>         The 4.5 section only deals with matching hello types
>         and circuit types for established adjacencies. The section
>         does not include that L1 AND L2 need separate hellos.
> 
>         Their is no mention about changing router-ids. However,
>         if I remember my IS-IS correctly, (yes, I have also coded
>         for the IS-IS / ES-ISL3 protocol) then the MAC value
>         would be the same even with a different system-id. There
>         is a presumed single MAC per interface per router versus
>         normally a single MAC value for an entire host system.
> 
>         The same would be true for OSPF, that the interface
>         should have the same MAC value even though the router-id
>         might have changed. However this does not hold true
>         if a vendor has also switched interfaces or circuits
>         that is forming the adj as these other interfaces would
>         have a different MAC value.
> 
>         Thus, you can tell if a router has changed router-ids.
>         However, this still presumes that you have kept dead
>         nbrs/peers history and that you have made a check against
>         matching died nbr/peers.
> 
>         Normally if one changes a router-id, then they don't expect
that
>         the former/old adjacency will be used with the new router-id.
> 
>         Mitchell Erblich
>         -------------
> 
> Sunil Patro wrote:
> >
> > The same draft talks about ospf in sec 4.2.
> > I guess they don't have a draft named separately for ospf.
> >
> > Thanks,
> > Sunil
> >
> > > -----Original Message-----
> > > From: Mailing List [mailto:[email-masked]] On Behalf Of
> > > Erblichs
> > > Sent: Friday, February 17, 2006 7:41 PM
> > > To: [email-masked]
> > > Subject: Re: Detecting router id change in p2p-over-lan connection
> > >
> > > Sunil,
> > >
> > >       The doc that you refer to is a IS-IS RFC draft and
> > >       you sent the question to a OSPF mail alias?
> > >
> > >       Mitchell Erblich
> > >       --------------------
> > >
> > > Sunil Patro wrote:
> > > >
> > > > Hi everyone,
> > > >
> > > > According to section 4.5 in draft
draft-ietf-isis-igp-p2p-over-lan-
> > > 05.txt,
> > > >
> > > >    "If the circuit is configured as point-to-point type and
receives
> > > >    LAN hello packets, the router MUST discard the incoming
packets;
> > If
> > > >    the circuit is a LAN type and receive point-to-point hello
> > packets,
> > > >    it MUST discard the incoming packets. If the system ID or the
> > > >    router ID of incoming hello packet does not match the system
ID
> > or
> > > >    the router ID of already established adjacency over this
> > p2p-over-lan
> > > >    circuit, it MUST discard the packet. The implementation
should
> > offer
> > > >    logging and debugging information of the above events.",
> > > >
> > > > My question is how does one detect a router-id change in this
> > scenario
> > > then?
> > > >
> > > > thanks,
> > > > Sunil

---

From: Dave Katz <[email-masked]>
Date: Sun, 19 Feb 2006 22:11:25 -0800

> simultaneous adjacencies on P2P link. So what is the meaning of

Such implementations are out of spec, not to mention that it is not  
at all clear how one would address multiple devices on a point-to- 
point link.

By definition a point-to-point link connects exactly two devices;  if  
there are more than two then it is by definition multipoint.

Unless you are referring to multiple adjacencies between the same  
pair of routers, which is a whole separate can of worms.

Detecting router ID changes is important in order to detect cable  
moves, or a router ID change, or some kind of system hot swap (such  
as APS) among other things.

--Dave